package com.pcloud.book.group.dto;

import java.io.Serializable;
import java.util.List;

/**
 * @author 戴兴
 * @description TODO
 * @date 2019/8/8 20:37
 */
public class ResourceBrowseParamDto implements Serializable {

    private Long bookGroupId;

    private Long classifyId;

    private Long qrcodeId;

    private String typeCode;

    private List<Long> Ids;


    public Long getBookGroupId() {
        return bookGroupId;
    }

    public void setBookGroupId(Long bookGroupId) {
        this.bookGroupId = bookGroupId;
    }

    public Long getClassifyId() {
        return classifyId;
    }

    public void setClassifyId(Long classifyId) {
        this.classifyId = classifyId;
    }

    public Long getQrcodeId() {
        return qrcodeId;
    }

    public void setQrcodeId(Long qrcodeId) {
        this.qrcodeId = qrcodeId;
    }

    public String getTypeCode() {
        return typeCode;
    }

    public void setTypeCode(String typeCode) {
        this.typeCode = typeCode;
    }

    public List<Long> getIds() {
        return Ids;
    }

    public void setIds(List<Long> ids) {
        Ids = ids;
    }

    @Override
    public String toString() {
        return "ResourceBrowseParamDto{" +
                "bookGroupId=" + bookGroupId +
                ", classifyId=" + classifyId +
                ", qrcodeId=" + qrcodeId +
                ", typeCode='" + typeCode + '\'' +
                ", Ids=" + Ids +
                '}';
    }
}